Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Compare » Workspace Setup EMF Compare
Workspace Setup EMF Compare [message #1058001] Fri, 10 May 2013 08:40 Go to next message
Goood Guy is currently offline Goood Guy
Messages: 126
Registered: September 2011
Senior Member
Hi,

I want to import the EMF Compare plugins to my workspace. I followed the instructions on http://wiki.eclipse.org/EMF_Compare/Contributor_Guide, but I got many compile errors.

My target platform is Juno.

How can I import the plugins?
Re: Workspace Setup EMF Compare [message #1058198 is a reply to message #1058001] Mon, 13 May 2013 04:08 Go to previous messageGo to next message
Goood Guy is currently offline Goood Guy
Messages: 126
Registered: September 2011
Senior Member
this is how I finally succeeded:
I checked out from 1.3. branch:
* o.e.e.c
* o.e.e.c.diff
* o.e.e.c.diff.edit
* o.e.e.c.epatch
* o.e.e.c.match
* o.e.e.c.ui

and created an API baseline.
Re: Workspace Setup EMF Compare [message #1058289 is a reply to message #1058198] Mon, 13 May 2013 09:18 Go to previous message
Laurent Goubet is currently offline Laurent Goubet
Messages: 1621
Registered: July 2009
Senior Member
FYI, The baseline is not necessary. We use it to ensure API compatibility (or at least to document the evolutions), but that's not mandatory (and API errors are not compilation errors, i.e. they won't fail at runtime).

You can disable these particular errors in "Window > Preferences"; the configuration is located in the "Plug-in development > API baselines" section, where you need to set "missing API baseline" to "ignore" instead of the default "error".

Laurent Goubet
Obeo

[Updated on: Mon, 13 May 2013 09:18]

Report message to a moderator

Previous Topic:Changes in UML Model
Next Topic:org.eclipse.emf.compare singleton bundle?
Goto Forum:
  


Current Time: Wed Jul 23 18:14:35 EDT 2014

Powered by FUDForum. Page generated in 0.02410 seconds